Org settings, dashboards & reporting

Get Airwallex Integration

Returns one Airwallex account status (default or by ID) with masked credential flags and beneficiary sync counters.

GEThttps://api.toku.com/stablecoin-payroll/get-airwallex-integration

Required scope: integrations:read

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/get-airwallex-integration' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "airwallexIntegrationID": "string",
  "displayName": "string",
  "isDefaultForPayouts": true,
  "lifecycle": "string",
  "exists": true,
  "isEnabled": true,
  "isConfigured": true,
  "environment": "string",
  "clientID": "string",
  "accountID": "string",
  "loginAs": "string",
  "fundingCurrency": "string",
  "holdsTransfersForApproval": true,
  "hasApiKey": true,
  "hasWebhookSecret": true,
  "beneficiaryContactCount": 0,
  "beneficiarySyncInProgress": true,
  "updatedAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>
airwallexIntegrationIDstring<uuid>

Response

200Successful response
airwallexIntegrationIDstring | null
displayNamestring | null
isDefaultForPayoutsboolean | null
lifecyclestring | null
existsboolean | null
isEnabledboolean | null
isConfiguredboolean | null
environmentstring | null
clientIDstring | null
accountIDstring | null
loginAsstring | null
fundingCurrencystring | null
holdsTransfersForApprovalboolean | null
hasApiKeyboolean | null
hasWebhookSecretboolean | null
beneficiaryContactCountnumber | null
beneficiaryLastSyncedAtnull | null
beneficiarySyncInProgressboolean | null
updatedAtstring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits